Hi everyone,

I'm trying to work with ruby-activeldap, but since we upgraded to  
OpenLDAP 2.2.27, it hasn't been working:

/usr/local/lib/ruby/site_ruby/1.8/activeldap/base.rb:971:in
`attribute_input_handler': The first argument, attr, must not be nil.
Please report this as a bug! (RuntimeError)
          from /usr/local/lib/ruby/site_ruby/1.8/activeldap/base.rb:
910:in `enforce_types'
          from /usr/local/lib/ruby/site_ruby/1.8/activeldap/base.rb:
909:in `each'
          from /usr/local/lib/ruby/site_ruby/1.8/activeldap/base.rb:
909:in `enforce_types'
          from /usr/local/lib/ruby/site_ruby/1.8/activeldap/base.rb:
602:in `send'
          from /usr/local/lib/ruby/site_ruby/1.8/activeldap/base.rb:
602:in `validate'
          from /usr/local/lib/ruby/site_ruby/1.8/activeldap/base.rb:
661:in `write'
          from insert_names.rb:45
          from insert_names.rb:33:in `each'
          from insert_names.rb:33
          from insert_names.rb:32:in `open'
          from insert_names.rb:32

I've reported it as a bug to the maintainer, but he's pretty busy.   
He mentioned that someone else had sent him a patch for this issue.   
Is that someone on this list?

Is anyone else using this library with some success?  When it was  
working for me, it was fantastic.

Thanks,

Sean


-------
Sean Hussey
Web Database Specialist
Berklee College of Music
617-747-2926